Bug 1027548 - (CVE-2013-6474) CVE-2013-6474 cups-filters: heap-based buffer overflow flaw in pdftoopvp
CVE-2013-6474 cups-filters: heap-based buffer overflow flaw in pdftoopvp
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140311,repor...
: Security
Depends On: 1074840
Blocks: 1002935 1010117
  Show dependency treegraph
 
Reported: 2013-11-06 23:16 EST by Murray McAllister
Modified: 2016-03-04 07:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-11 01:32:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2013-11-06 23:16:52 EST
A heap-based buffer overflow flaw was found in the pdftoopvp filter. If a malicious PDF file were processed, it could lead to arbitrary code execution with the privileges of the "lp" user. This issue was due to the following fix not being present in pdftoopvp:

https://bugs.freedesktop.org/show_bug.cgi?id=17326
http://lists.freedesktop.org/archives/poppler/2008-August/004021.html

Acknowledgements:

This issue was discovered by Florian Weimer of the Red Hat Product Security Team.
Comment 2 Huzaifa S. Sidhpurwala 2014-03-11 01:14:49 EDT
Public via:

http://bzr.linuxfoundation.org/loggerhead/openprinting/cups-filters/revision/7176

This issue has been resolved in upstream cups-filters-1.0.47
Comment 3 Huzaifa S. Sidhpurwala 2014-03-11 01:18:19 EDT
Created cups-filters tracking bugs for this issue:

Affects: fedora-all [bug 1074840]

Note You need to log in before you can comment on or make changes to this bug.